exports.linea1 = function(navController) {

var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Linea 1',
    backgroundColor: '#000'
});


var etiqueta1 = Ti.UI.createLabel({
	top: 10,
	left: 10,
	text:'Origen: Pantitlan',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#FFF',
    font:{fontSize:20},
    //textAlign:'center',
    //leftimage: 'linea.png'
});
win1.add(etiqueta1);

var etiqueta2 = Ti.UI.createLabel({
	top: 50,
	left: 10,
	text:'Destino : Observatorio',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#FFF',
    font:{fontSize:20},
    //textAlign:'center',
    leftimage: 'linea.png'
});
win1.add(etiqueta1);
win1.add(etiqueta2)





var data = [
{title:"Pantitlan", leftImage: 'linea1.png', rightImage: 'linea9.png', font:{fontSize:20}},
{title:"Zaragoza", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"Gomez Farias", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"Boulevard Puerto Aereo", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"Balbuena", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"Moctezuma", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"San Lazaro", leftImage: 'linea1.png', rightImage: 'lineab.png', font: {fontSize:20}},
{title:"Candelaria", leftImage: 'linea1.png', rightImage: 'linea4.png', font: {fontSize:20}},
{title:"Merced", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"Pino Suarez", leftImage: 'linea1.png', rightImage: 'linea2.png', font: {fontSize:20}},
{title:"Isabel La Catolica", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"Salto del Agua", leftImage: 'linea1.png', rightImage: 'linea8.png', font: {fontSize:20}},
{title:"Balderas", leftImage: 'linea1.png', rightImage: 'linea3.png', font: {fontSize:20}},
{title:"Cuauhtemoc", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"Insurgentes", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"Sevilla", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"Chapultepec", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"Juanacatlan", leftImage: 'linea1.png', font: {fontSize:20}},
{title:"Tacubaya", leftImage: 'linea1.png', rightImage: 'linea7.png', font: {fontSize:20}},
{title:"Observatorio", leftImage: 'linea1.png', font: {fontSize:20}}
];

var table = Titanium.UI.createTableView(
	{data:data,
	 left: 10,
	 top: 80
	}
	//left: '20'
);

table.addEventListener("click", function(e){
	switch(e.index){
		case 0:
			var pantitlan = require('estaciones/pantitlan').pantitlan;
			navController.open(new pantitlan(navController));
			break;
			
		case 1:
			var zaragoza = require('estaciones/zaragoza').zaragoza;
			navController.open(new zaragoza(navController));
			break;
		case 2:
			var gomez = require('estaciones/gomez').gomez;
			navController.open(new gomez(navController));
			break;
		case 3:
			var aeropuerto = require('estaciones/aeropuerto').aeropuerto;
			navController.open(new aeropuerto(navController));
			break;
		case 4:
			var balbuena = require('estaciones/balbuena').balbuena;
			navController.open(new balbuena(navController));
			break;
		case 5:
			var moctezuma = require('estaciones/moctezuma').moctezuma;
			navController.open(new moctezuma(navController));
			break;
		case 6:
			var sanlazaro = require('estaciones/sanlazaro').sanlazaro;
			navController.open(new sanlazaro(navController));
			break;
		case 7:
			var candelaria = require('estaciones/candelaria').candelaria;
			navController.open(new candelaria(navController));
			break;
		case 8:
			var merced = require('estaciones/merced').merced;
			navController.open(new merced(navController));
			break;
		case 9:
			var pinosuarez = require('estaciones/pinosuarez').pinosuarez;
			navController.open(new pinosuarez(navController));
			break;
		case 10:
			var isabel = require('estaciones/isabel').isabel;
			navController.open(new isabel(navController));
			break;
		case 11:
			var saltodelagua = require('estaciones/saltodelagua').saltodelagua;
			navController.open(new saltodelagua(navController));
			break;
		case 12:
			var balderas = require('estaciones/balderas').balderas;
			navController.open(new balderas(navController));
			break;
		case 13:
			var cuauhtemoc = require('estaciones/cuauhtemoc').cuauhtemoc;
			navController.open(new cuauhtemoc(navController));
			break;
		case 14:
			var insurgentes = require('estaciones/insurgentes').insurgentes;
			navController.open(new insurgentes(navController));
			break;
		case 15:
			var sevilla = require('estaciones/sevilla').sevilla;
			navController.open(new sevilla(navController));
			break;
		case 16:
			var chapultepec = require('estaciones/chapultepec').chapultepec;
			navController.open(new chapultepec(navController));
			break;
		case 17:
			var juanacatlan = require('estaciones/juanacatlan').juanacatlan;
			navController.open(new juanacatlan(navController));
			break;
		case 18:
			var tacubaya = require('estaciones/tacubaya').tacubaya;
			navController.open(new tacubaya(navController));
			break;
		case 19:
			var observatorio = require('estaciones/observatorio').observatorio;
			navController.open(new observatorio(navController));
			break;
		
		}//end switch
	});//end addEventListener
win1.add(table);
return win1;
};